TokenLab

視頻與素材

列出素材資源群組

列出當前組織擁有的 Seedance 素材群組。

GET
/v1/videos/assets/groups

列出經身份驗證的組織所擁有的素材群組。透過 library_type 和 status 進行篩選,以區分虛擬人像(virtual-avatar)群組與真人(real-person)群組。

上傳素材時請使用回傳的 id。在影片生成過程中,請勿將 group_id 作為 material_asset_id 傳遞;生成作業需要的是素材資源的 id。

project_name 用於同一組織內的資源隔離,預設為 default。相關素材群組和素材須使用相同且區分大小寫的值;POST/PUT 在 JSON 請求主體中傳入,GET/DELETE 在查詢參數中傳入。

請求範例

curl "https://api.tokenlab.sh/v1/videos/assets/groups?library_type=aigc_avatar&page_size=20&project_name=default" \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"

回應範例

{
  "groups": [
    {
      "id": "group-20260720123456-vrt01",
      "object": "seedance.material_asset_group",
      "project_name": "default",
      "library_type": "aigc_avatar",
      "group_name": "Product references",
      "status": "ACTIVE",
      "created_at": 1782998400000
    }
  ],
  "next_page_token": null
}
curl -X GET "https://example.com/v1/videos/assets/groups"
{  "groups": [    {      "id": "group-20260720123456-vrt01",      "object": "seedance.material_asset_group",      "library_type": "aigc_avatar",      "group_name": "Product references",      "description": "可重複使用的產品拍攝",      "status": "ACTIVE",      "metadata": null,      "created_at": 1782998400000    },    {      "id": "group-20260720123456-real1",      "object": "seedance.material_asset_group",      "library_type": "liveness_face",      "group_name": "Creator A",      "description": null,      "status": "ACTIVE",      "metadata": null,      "created_at": 1782998400000    }  ],  "next_page_token": null}

授權

BearerAuth
AuthorizationBearer <token>

API Key 驗證。請在 Dashboard > API > API Keys 建立或管理 API 金鑰。

位置: header

查詢參數

page_size?integer
範圍1 <= value <= 100
預設值20
page_token?string
status?string

可選值

  • "ACTIVE"
  • "DELETED"
library_type?string

依 TokenLab 材質庫類別篩選。

可選值

  • "aigc_avatar"
  • "liveness_face"
project_name?string

素材資源的專案範圍。

長度1 <= length <= 128
預設值"default"

回應

application/json

application/json

application/json

application/json